Bug 1288642 - Problem with LCDd - HD44780 driver [NEEDINFO]
Problem with LCDd - HD44780 driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lcdproc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 16:06 EST by Michael
Modified: 2016-10-17 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-17 12:27:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: needinfo? (Magnumgr)


Attachments (Terms of Use)
LCDd Configuration file (28.67 KB, text/plain)
2015-12-04 16:06 EST, Michael
no flags Details

  None (edit)
Description Michael 2015-12-04 16:06:19 EST
Created attachment 1102447 [details]
LCDd Configuration file

Description of problem:

After upgrade fedora to F23, lcdproc & LCDd service failed to load.

Trying : /usr/sbin/LCDd 

with the following result :

Could not open driver module /usr/lib64/lcdproc/hd44780.so: /usr/lib64/lcdproc/hd44780.so: undefined symbol: lib_adv_bignum
Driver [hd44780] binding failed
Could not load driver hd44780
There is no output driver
Critical error while initializing, abort.


After some time of searching, i realize there is a new version of lcdproc 0.5.7-5 updated in F23.
I download the latest f22 version of lcdproc 0.5.7-4 which run without problem in my F22 before upgrade and replace the hd44780.so in /usr/lib64/lcdproc.

After this, LCDd service started normaly.


I think there is a problem with the latest changes in hd44780.so.

I attach my LCDd.conf for reference.
Comment 1 Nicolas Chauvet (kwizart) 2016-09-29 18:16:22 EDT
Sorry about the lack of answer
betweek -4 and -5 there is only a simple compiler rebuilt.
So maybe you can try to rebuild again.

Note You need to log in before you can comment on or make changes to this bug.